import 'dart:convert';

import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:scrobbles/cubit/data_statistics_global_cubit.dart';
import 'package:scrobbles/models/statistics_global.dart';
import 'package:scrobbles/ui/widgets/card_content.dart';
import 'package:scrobbles/ui/widgets/content/statistics_global.dart';

class CardStatisticsGlobal extends StatelessWidget {
  const CardStatisticsGlobal({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocProvider<DataStatisticsGlobalCubit>(
      create: (BuildContext context) => DataStatisticsGlobalCubit(),
      child: BlocBuilder<DataStatisticsGlobalCubit, DataStatisticsGlobalState>(
        builder: (BuildContext context, DataStatisticsGlobalState state) {
          return CardContent(
            color: Theme.of(context).colorScheme.primary,
            title: 'global_statistics'.tr(),
            content: ContentStatisticsGlobal(
              statistics:
                  StatisticsGlobalData.fromJson(jsonDecode(state.statisticsGlobal.toString())),
              isLoading: false,
            ),
          );
        },
      ),
    );
  }
}
