import 'dart:convert';

import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:scrobbles/config/settings.dart';
import 'package:scrobbles/cubit/data_statistics_recent_cubit.dart';
import 'package:scrobbles/models/statistics_recent.dart';
import 'package:scrobbles/ui/widgets/card_content.dart';
import 'package:scrobbles/ui/widgets/content/statistics_recent.dart';

class CardStatisticsRecent extends StatelessWidget {
  const CardStatisticsRecent({super.key});

  @override
  Widget build(BuildContext context) {
    final int daysCount = Settings.statisticsRecentDaysCount;

    // data context
    return BlocProvider<DataStatisticsRecentCubit>(
      create: (BuildContext context) => DataStatisticsRecentCubit(),
      child: BlocBuilder<DataStatisticsRecentCubit, DataStatisticsRecentState>(
        builder: (BuildContext context, DataStatisticsRecentState dataState) {
          return CardContent(
            color: Theme.of(context).colorScheme.primary,
            title: 'recent_statistics'.tr(
              namedArgs: {
                'daysCount': daysCount.toString(),
              },
            ),
            content: ContentStatisticsRecent(
              statistics: StatisticsRecentData.fromJson(
                  jsonDecode(dataState.statisticsRecent.toString())),
              isLoading: false,
            ),
          );
        },
      ),
    );
  }
}
